Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.taglib.html
Class HtmlComponentBodyTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentTag
                  javax.faces.webapp.UIComponentBodyTag
                      org.apache.myfaces.shared_orchestra.taglib.UIComponentBodyTagBase
                          org.apache.myfaces.shared_orchestra.taglib.html.HtmlComponentBodyTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlDataTableTagBase, HtmlPanelGridTagBase, HtmlPanelGroupTagBase

    public abstract class HtmlComponentBodyTagBase

extends UIComponentBodyTagBase

Version:
  $Revision: 472618 $ $Date: 2006-11-08 15:06:54 -0500 (Wed, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlComponentBodyTagBase()`

Method Summary
`void` | `release()`
`void` | `setDir(String dir)`
`void` | `setLang(String lang)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`

Methods inherited from class org.apache.myfaces.shared_orchestra.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class javax.faces.webapp.UIComponentTagBase
`getComponentType, getELContext, getRendererType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlComponentBodyTagBase

    public HtmlComponentBodyTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.faces.webapp.UIComponentTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentBodyTagBase`

### setStyleClass

    public void setStyleClass(String styleClass)

### setDir

    public void setDir(String dir)

### setLang

    public void setLang(String lang)

### setStyle

    public void setStyle(String style)

### setTitle

    public void setTitle(String title)

### setOnclick

    public void setOnclick(String onclick)

### setOndblclick

    public void setOndblclick(String ondblclick)

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### setOnkeyup

    public void setOnkeyup(String onkeyup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation. All Rights Reserved.